import { IDIService } from "../IDIService";
interface IAndroidLocationService extends IDIService {
    CheckLocationPermissionAsync(): Promise<boolean>;
    RequestLocationPermissionAsync(): Promise<boolean>;
    IsAndroidLocationAvailable(): boolean;
}
export declare class AndroidLocationService implements IAndroidLocationService {
    static readonly ServiceName: string;
    CheckLocationPermissionAsync(): Promise<boolean>;
    RequestLocationPermissionAsync(): Promise<boolean>;
    IsAndroidLocationAvailable(): boolean;
    GetServiceName(): string;
}
export {};
