import { IDIService } from "../IDIService";
export interface IAndroidNotificationsService extends IDIService {
    CheckNotificationPermissionAsync(): Promise<boolean>;
    RequestNotificationPermissionAsync(): Promise<boolean>;
    IsAndroidNotificationsAvailable(): boolean;
}
export declare class AndroidNotificationsService implements IAndroidNotificationsService {
    static readonly ServiceName: string;
    IsAndroidNotificationsAvailable(): boolean;
    CheckNotificationPermissionAsync(): Promise<boolean>;
    RequestNotificationPermissionAsync(): Promise<boolean>;
    GetServiceName(): string;
}
